Skip to content
POST /datastore

Request Body

configobject

Config object for the datastore connection. Shape depends on type.

One of
Mongo Data Api · 4 properties
api_keystring

Atlas Data API key. Treat as a secret.

api_urlstring

Base URL of your Atlas Data API endpoint.

data_sourcestring

Name of the Atlas cluster (the Data API "data source").

databasestring
Google Cloud Storage · 2 properties
credentialsobject
required·

Service-account JSON used to authenticate against Google Cloud Storage.

11 properties
auth_provider_x509_cert_urlstring
auth_uristring
client_emailstring
client_idstring
client_x509_cert_urlstring
private_keystring
private_key_idstring
project_idstring
token_uristring
typestring
universe_domainstring
bucketstring
S3 · 5 properties
access_key_idstring
base_urlstring

Optional override for non-AWS S3 endpoints (e.g. R2, MinIO).

bucketstring
regionstring
secret_access_keystring

Secret access key. Treat as a secret.

Qdrant · 4 properties
api_keystring

Qdrant API key. Treat as a secret.

base_urlstring
collectionstring
portinteger
config_secretstring

Optional secret value for sensitive credentials.

environment_idstring · uuid

The environment that owns this datastore. If omitted, defaults to the user's first environment; required when the user has multiple environments.

idstring · uuid

The datastore ID (optional; if omitted, one is generated).

labelstring

A friendly label for this datastore.

typestring

The datastore type. Determines the shape of config.

Possible values:
mongo_data_apigoogle_cloud_storages3qdrant
validation_methodsstring[]

Optional list of integration methods (e.g. unified_api/resource/method) used to validate the datastore configuration before persisting.

Response Body

configobject

Config object for the datastore connection (minus sensitive fields). The shape depends on type.

Example: {"base_url":"https://data.mongodb-api.com/app/...","database":"my_db"}
One of
Mongo Data Api · 4 properties
api_keystring

Atlas Data API key. Treat as a secret.

api_urlstring

Base URL of your Atlas Data API endpoint.

data_sourcestring

Name of the Atlas cluster (the Data API "data source").

databasestring
Google Cloud Storage · 2 properties
credentialsobject
required·

Service-account JSON used to authenticate against Google Cloud Storage.

11 properties
auth_provider_x509_cert_urlstring
auth_uristring
client_emailstring
client_idstring
client_x509_cert_urlstring
private_keystring
private_key_idstring
project_idstring
token_uristring
typestring
universe_domainstring
bucketstring
S3 · 5 properties
access_key_idstring
base_urlstring

Optional override for non-AWS S3 endpoints (e.g. R2, MinIO).

bucketstring
regionstring
secret_access_keystring

Secret access key. Treat as a secret.

Qdrant · 4 properties
api_keystring

Qdrant API key. Treat as a secret.

base_urlstring
collectionstring
portinteger
created_atstring · date-time

Timestamp when the datastore record was created.

environment_idstring · uuid

The environment to which this datastore belongs.

idstring · uuid

The unique ID of the datastore.

labelstring

A friendly label for identifying this datastore.

typestring

The datastore's backend type. Determines the shape of config.

Possible values:
mongo_data_apigoogle_cloud_storages3qdrant
updated_atstring · date-time

Timestamp when the datastore record was last updated.

curl -X POST 'https://api.truto.one/datastore' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "your_id",
  "type": "mongo_data_api",
  "label": "your_label",
  "config_secret": "your_config_secret",
  "environment_id": "your_environment_id",
  "validation_methods": []
}'
const body = {
  "id": "your_id",
  "type": "mongo_data_api",
  "label": "your_label",
  "config_secret": "your_config_secret",
  "environment_id": "your_environment_id",
  "validation_methods": []
};

const response = await fetch('https://api.truto.one/datastore', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/datastore"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "id": "your_id",
    "type": "mongo_data_api",
    "label": "your_label",
    "config_secret": "your_config_secret",
    "environment_id": "your_environment_id",
    "validation_methods": []
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const body = {
  "id": "your_id",
  "type": "mongo_data_api",
  "label": "your_label",
  "config_secret": "your_config_secret",
  "environment_id": "your_environment_id",
  "validation_methods": []
};

const result = await truto.datastore.create(body);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    body = {
        "id": "your_id",
        "type": "mongo_data_api",
        "label": "your_label",
        "config_secret": "your_config_secret",
        "environment_id": "your_environment_id",
        "validation_methods": []
    }

    result = await truto_api.datastores.create(body)
    print(result)

asyncio.run(main())